libzypp: zypp::kvmap::KVMapBase Struct Reference

libzypp 17.38.14

zypp::kvmap::KVMapBase Struct Reference

Base class for KVMaps, (key,value) pairs. More...

`#include <zypp-core/kvmap.h>`

Inheritance diagram for zypp::kvmap::KVMapBase:

## Classes
struct | CharSep
| KVMapPolicy for KVMaps using a single char as separator (e.g. More...

## Public Types
using | map_type = std::map<std::string, std::string>
| (key,value) map type

## Public Member Functions
| KVMapBase ()
| KVMapBase (const map_type &kvmap_r)
bool | has (const std::string &key_r) const
| Test whether key is set.

## Static Public Member Functions
static map_type | split (const std::string &str_r, const KVMapPolicy &opts_r)
| Split str_r into (key,value) map, using the separators defined by opts_r.
static std::string | join (const map_type &kvmap_r, const KVMapPolicy &opts_r)
| Join (key,value) map into string, using the separators defined by opts_r.

## Detailed Description

Base class for KVMaps, (key,value) pairs.

Definition at line 82 of file kvmap.h.

## Member Typedef Documentation

## ◆ map_type

using zypp::kvmap::KVMapBase::map_type = std::map<std::string, std::string>

(key,value) map type

Definition at line 87 of file kvmap.h.

## Constructor & Destructor Documentation

## ◆ KVMapBase() [1/2]

zypp::kvmap::KVMapBase::KVMapBase | ( |  | ) |
| inline

Definition at line 89 of file kvmap.h.

## ◆ KVMapBase() [2/2]

zypp::kvmap::KVMapBase::KVMapBase | ( | const map_type & | kvmap_r | ) |
| inline

Definition at line 91 of file kvmap.h.

## Member Function Documentation

## ◆ has()

bool zypp::kvmap::KVMapBase::has | ( | const std::string & | key_r | ) | const
| inline

Test whether key is set.

Definition at line 98 of file kvmap.h.

## ◆ split()

map_type zypp::kvmap::KVMapBase::split | ( | const std::string & | str_r,
|  | const KVMapPolicy & | opts_r )
| inlinestatic

Split str_r into (key,value) map, using the separators defined by opts_r.

Definition at line 114 of file kvmap.h.

## ◆ join()

std::string zypp::kvmap::KVMapBase::join | ( | const map_type & | kvmap_r,
|  | const KVMapPolicy & | opts_r )
| inlinestatic

Join (key,value) map into string, using the separators defined by opts_r.

Definition at line 136 of file kvmap.h.

The documentation for this struct was generated from the following file:

- zypp-core/kvmap.h